#!/bin/bash
cd ../../Modules/

echo processing: `pwd`

ls | while read CATEGORY; do
  if [ -d $CATEGORY ]; then
    echo "processing modules category:" $CATEGORY
    cd $CATEGORY    # prejde do kategorie modulu
    ls | while read NAME; do	# vypise seznam modulu
      if [ -d $NAME ]; then	# zkontroluje jestli vypsane soubory jsou adresare
    	echo "processing module:" $NAME
	if [ -r $NAME/PrjInfo.txt ]; then  # existuje alespon popisny soubor? 
	      mkdir -p $NAME/DOC/SRC/img/  # pokud neexistuje adresar na obrazky, bude vytvoren
	      echo creating ./$NAME/DOC/SRC/img/${NAME}_QRcode.png
	      qrencode -s 15 -l L "http://www.mlab.cz/PermaLink/$NAME" -o "./$NAME/DOC/SRC/img/${NAME}_QRcode.png"
	      svn add --parents ./$NAME/DOC/SRC/img/${NAME}_QRcode.png
	fi
      else
        echo "No module names"
      fi
     done
     cd ..
    else
    echo "No document dir"
  fi
done

exit 0 
